Subject: bug#59715: 28.2; Emacs crashes after ``turkish-case-conversion-enable''

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2022 15:39:06 +0200

> From: YUSUF ALPER ÇIKIŞIR
>  <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 04 Dec 2022 16:21:21 +0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think there's some caching involved.  Can you do whatever is needed to
> > force Fontconfig to refresh its caches?  And maybe also restart the system,
> > in case X also caches stuff?
> 
> After cleaning fontconfig cache, rerunning "fc-cache -f -v", and
> restarting the system, it's still the same.  Are you sure that's the
> main reason?

It's the only explanation that makes sense, but maybe I got the details
wrong.

Please try the following, after starting GDB:

  (gdb) source /path/to/emacs/src/.gdbinit
  (gdb) break fontset.c:1701
  (gdb) commands
    > pp name
    > end
  (gdb) run -Q

Then, when the breakpoint breaks, look at the name it displays and see if
you see some pattern that has "Iosevka" in it.  You will have to type
"continue" each time the breakpoint breaks, to continue Emacs.  If I'm
right, you will see something with "Iosevka" in it.

> Thank you for your help.  I can migrate to different fonts by virtue of
> this bug. :-)

Yes.  One other idea is to use Fontconfig aliases, so that the font can be
named differently as far as Emacs is concerned, but I'm not sure it will
help.